--[[
ADFENO's Chat Sounds.
Copyright (C) 2015, Adonay Felipe Nogueira.

     This program is free software: you can redistribute it and/or
     modify it under the terms of the GNU General Public License,
     Version 3 as published by the Free Software Foundation, either
     version 3 of the License, or (at your option) any later version.

     This program is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
     General Public License, Version 3 for more details.

     You should have received a copy of the GNU General Public License,
     Version 3 along with this program.  If not, see
     <https://www.gnu.org/licenses/gpl-3.0.txt>.
--]]

minetest.register_on_chat_message(function(name, message)
                minetest.sound_play("on_chat_message",
                        {
                                gain = 0.5
                        }
                )
        end
)

minetest.register_on_joinplayer(function(player)
                minetest.sound_play("on_joinplayer",
                        {
                                gain = 0.5
                        }
                )
        end
)

minetest.register_on_leaveplayer(function(player)
                minetest.sound_play("on_leaveplayer",
                        {
                                gain = 0.5
                        }
                )
        end
)